=== src/Makefile ===
#
# !!!THIS IS A GENERATED FILE!!!
# !!!DO NOT MAKE CHANGES HERE, THEY WILL BE LOST!!!
#
include osconfig.mk


OFILES_clib = c_lm_channel$(EXT_OBJ) c_lm_printf$(EXT_OBJ) c_lm_ctype$(EXT_OBJ) c_lm_uname_ext$(EXT_OBJ) c_lm_unix_cutil$(EXT_OBJ) c_lm_compat_win32$(EXT_OBJ) c_readline$(EXT_OBJ) c_omake_shell_sys$(EXT_OBJ) c_omake_shell_spawn$(EXT_OBJ) c_fam_win32$(EXT_OBJ) c_fam_kqueue$(EXT_OBJ) c_fam_inotify$(EXT_OBJ) c_lm_notify$(EXT_OBJ) c_lm_termsize$(EXT_OBJ) c_lm_terminfo$(EXT_OBJ) c_lm_fs_case_sensitive$(EXT_OBJ)

clib$(EXT_LIB): $(OFILES_clib)
	-$(RM) $@
	$(AR) $(AROUT)$@ $(OFILES_clib)

c_lm_channel.c: ..$(slash)src$(slash)clib$(slash)lm_channel.c
	$(LN) ..$(slash)src$(slash)clib$(slash)lm_channel.c c_lm_channel.c

c_lm_printf.c: ..$(slash)src$(slash)clib$(slash)lm_printf.c
	$(LN) ..$(slash)src$(slash)clib$(slash)lm_printf.c c_lm_printf.c

c_lm_ctype.c: ..$(slash)src$(slash)clib$(slash)lm_ctype.c
	$(LN) ..$(slash)src$(slash)clib$(slash)lm_ctype.c c_lm_ctype.c

c_lm_uname_ext.c: ..$(slash)src$(slash)clib$(slash)lm_uname_ext.c
	$(LN) ..$(slash)src$(slash)clib$(slash)lm_uname_ext.c c_lm_uname_ext.c

c_lm_unix_cutil.c: ..$(slash)src$(slash)clib$(slash)lm_unix_cutil.c
	$(LN) ..$(slash)src$(slash)clib$(slash)lm_unix_cutil.c c_lm_unix_cutil.c

c_lm_compat_win32.c: ..$(slash)src$(slash)clib$(slash)lm_compat_win32.c
	$(LN) ..$(slash)src$(slash)clib$(slash)lm_compat_win32.c c_lm_compat_win32.c

c_readline.c: ..$(slash)src$(slash)clib$(slash)readline.c
	$(LN) ..$(slash)src$(slash)clib$(slash)readline.c c_readline.c

c_omake_shell_sys.c: ..$(slash)src$(slash)clib$(slash)omake_shell_sys.c
	$(LN) ..$(slash)src$(slash)clib$(slash)omake_shell_sys.c c_omake_shell_sys.c

c_omake_shell_spawn.c: ..$(slash)src$(slash)clib$(slash)omake_shell_spawn.c
	$(LN) ..$(slash)src$(slash)clib$(slash)omake_shell_spawn.c c_omake_shell_spawn.c

c_fam_win32.c: ..$(slash)src$(slash)clib$(slash)fam_win32.c
	$(LN) ..$(slash)src$(slash)clib$(slash)fam_win32.c c_fam_win32.c

c_fam_kqueue.c: ..$(slash)src$(slash)clib$(slash)fam_kqueue.c
	$(LN) ..$(slash)src$(slash)clib$(slash)fam_kqueue.c c_fam_kqueue.c

c_fam_inotify.c: ..$(slash)src$(slash)clib$(slash)fam_inotify.c
	$(LN) ..$(slash)src$(slash)clib$(slash)fam_inotify.c c_fam_inotify.c

c_lm_notify.c: ..$(slash)src$(slash)clib$(slash)lm_notify.c
	$(LN) ..$(slash)src$(slash)clib$(slash)lm_notify.c c_lm_notify.c

c_lm_termsize.c: ..$(slash)src$(slash)clib$(slash)lm_termsize.c
	$(LN) ..$(slash)src$(slash)clib$(slash)lm_termsize.c c_lm_termsize.c

c_lm_terminfo.c: ..$(slash)src$(slash)clib$(slash)lm_terminfo.c
	$(LN) ..$(slash)src$(slash)clib$(slash)lm_terminfo.c c_lm_terminfo.c

c_lm_fs_case_sensitive.c: ..$(slash)src$(slash)clib$(slash)lm_fs_case_sensitive.c
	$(LN) ..$(slash)src$(slash)clib$(slash)lm_fs_case_sensitive.c c_lm_fs_case_sensitive.c

lm_compat_win32.h: ..$(slash)src$(slash)clib$(slash)lm_compat_win32.h
	$(LN) ..$(slash)src$(slash)clib$(slash)lm_compat_win32.h lm_compat_win32.h

SRC_clib = ..$(slash)src$(slash)clib

ALLFILES_clib =  c_lm_channel.c c_lm_printf.c c_lm_ctype.c c_lm_uname_ext.c c_lm_unix_cutil.c c_lm_compat_win32.c c_readline.c c_omake_shell_sys.c c_omake_shell_spawn.c c_fam_win32.c c_fam_kqueue.c c_fam_inotify.c c_lm_notify.c c_lm_termsize.c c_lm_terminfo.c c_lm_fs_case_sensitive.c lm_compat_win32.h


CMOFILES_lm = lm_printf.cmo lm_debug.cmo lm_heap.cmo lm_list_util.cmo lm_array_util.cmo lm_set_sig.cmo lm_set.cmo lm_map_sig.cmo lm_map.cmo lm_int_set.cmo lm_termsize.cmo lm_terminfo.cmo lm_arg.cmo lm_index.cmo lm_thread_sig.cmo lm_thread_core.cmo lm_thread.cmo lm_string_util.cmo lm_string_set.cmo lm_hash.cmo lm_hash_code.cmo lm_symbol.cmo lm_location.cmo lm_position.cmo lm_filename_util.cmo lm_uname.cmo lm_thread_pool.cmo lm_channel.cmo lm_unix_util.cmo lm_db.cmo lm_notify.cmo lm_fs_case_sensitive.cmo lm_wild.cmo lm_readline.cmo lm_marshal.cmo lm_handle_table.cmo lm_int_handle_table.cmo lm_bitset.cmo lm_instrument.cmo
CMXFILES_lm = lm_printf.cmx lm_debug.cmx lm_heap.cmx lm_list_util.cmx lm_array_util.cmx lm_set_sig.cmx lm_set.cmx lm_map_sig.cmx lm_map.cmx lm_int_set.cmx lm_termsize.cmx lm_terminfo.cmx lm_arg.cmx lm_index.cmx lm_thread_sig.cmx lm_thread_core.cmx lm_thread.cmx lm_string_util.cmx lm_string_set.cmx lm_hash.cmx lm_hash_code.cmx lm_symbol.cmx lm_location.cmx lm_position.cmx lm_filename_util.cmx lm_uname.cmx lm_thread_pool.cmx lm_channel.cmx lm_unix_util.cmx lm_db.cmx lm_notify.cmx lm_fs_case_sensitive.cmx lm_wild.cmx lm_readline.cmx lm_marshal.cmx lm_handle_table.cmx lm_int_handle_table.cmx lm_bitset.cmx lm_instrument.cmx
OCAML_LIB_FLAGS_lm =

lm.cma: $(CMOFILES_lm)
	$(OCAMLC) $(OCAMLFLAGS) $(OCAML_LIB_FLAGS_lm) -a -o $@ $(CMOFILES_lm)
lm.cmxa: $(CMXFILES_lm)
	$(OCAMLOPT) $(OCAMLFLAGS) $(OCAML_LIB_FLAGS_lm) -a -o $@ $(CMXFILES_lm)

lm_thread_pool.ml: ..$(slash)src$(slash)libmojave$(slash)lm_thread_pool_$(system).ml
	$(LN) ..$(slash)src$(slash)libmojave$(slash)lm_thread_pool_$(system).ml lm_thread_pool.ml

lm_thread_core.ml: ..$(slash)src$(slash)libmojave$(slash)lm_thread_core_$(system).ml
	$(LN) ..$(slash)src$(slash)libmojave$(slash)lm_thread_core_$(system).ml lm_thread_core.ml

SRC_libmojave = ..$(slash)src$(slash)libmojave

lm_arg.ml: $(SRC_libmojave)$(slash)lm_arg.ml
	$(LN) $(SRC_libmojave)$(slash)lm_arg.ml lm_arg.ml

lm_arg.mli: $(SRC_libmojave)$(slash)lm_arg.mli
	$(LN) $(SRC_libmojave)$(slash)lm_arg.mli lm_arg.mli

lm_array_util.ml: $(SRC_libmojave)$(slash)lm_array_util.ml
	$(LN) $(SRC_libmojave)$(slash)lm_array_util.ml lm_array_util.ml

lm_array_util.mli: $(SRC_libmojave)$(slash)lm_array_util.mli
	$(LN) $(SRC_libmojave)$(slash)lm_array_util.mli lm_array_util.mli

lm_bitset.ml: $(SRC_libmojave)$(slash)lm_bitset.ml
	$(LN) $(SRC_libmojave)$(slash)lm_bitset.ml lm_bitset.ml

lm_bitset.mli: $(SRC_libmojave)$(slash)lm_bitset.mli
	$(LN) $(SRC_libmojave)$(slash)lm_bitset.mli lm_bitset.mli

lm_channel.ml: $(SRC_libmojave)$(slash)lm_channel.ml
	$(LN) $(SRC_libmojave)$(slash)lm_channel.ml lm_channel.ml

lm_channel.mli: $(SRC_libmojave)$(slash)lm_channel.mli
	$(LN) $(SRC_libmojave)$(slash)lm_channel.mli lm_channel.mli

lm_db.ml: $(SRC_libmojave)$(slash)lm_db.ml
	$(LN) $(SRC_libmojave)$(slash)lm_db.ml lm_db.ml

lm_db.mli: $(SRC_libmojave)$(slash)lm_db.mli
	$(LN) $(SRC_libmojave)$(slash)lm_db.mli lm_db.mli

lm_debug.ml: $(SRC_libmojave)$(slash)lm_debug.ml
	$(LN) $(SRC_libmojave)$(slash)lm_debug.ml lm_debug.ml

lm_debug.mli: $(SRC_libmojave)$(slash)lm_debug.mli
	$(LN) $(SRC_libmojave)$(slash)lm_debug.mli lm_debug.mli

lm_filename_util.ml: $(SRC_libmojave)$(slash)lm_filename_util.ml
	$(LN) $(SRC_libmojave)$(slash)lm_filename_util.ml lm_filename_util.ml

lm_filename_util.mli: $(SRC_libmojave)$(slash)lm_filename_util.mli
	$(LN) $(SRC_libmojave)$(slash)lm_filename_util.mli lm_filename_util.mli

lm_fs_case_sensitive.ml: $(SRC_libmojave)$(slash)lm_fs_case_sensitive.ml
	$(LN) $(SRC_libmojave)$(slash)lm_fs_case_sensitive.ml lm_fs_case_sensitive.ml

lm_fs_case_sensitive.mli: $(SRC_libmojave)$(slash)lm_fs_case_sensitive.mli
	$(LN) $(SRC_libmojave)$(slash)lm_fs_case_sensitive.mli lm_fs_case_sensitive.mli

lm_handle_table.ml: $(SRC_libmojave)$(slash)lm_handle_table.ml
	$(LN) $(SRC_libmojave)$(slash)lm_handle_table.ml lm_handle_table.ml

lm_handle_table.mli: $(SRC_libmojave)$(slash)lm_handle_table.mli
	$(LN) $(SRC_libmojave)$(slash)lm_handle_table.mli lm_handle_table.mli

lm_hash.ml: $(SRC_libmojave)$(slash)lm_hash.ml
	$(LN) $(SRC_libmojave)$(slash)lm_hash.ml lm_hash.ml

lm_hash.mli: $(SRC_libmojave)$(slash)lm_hash.mli
	$(LN) $(SRC_libmojave)$(slash)lm_hash.mli lm_hash.mli

lm_hash_code.ml: $(SRC_libmojave)$(slash)lm_hash_code.ml
	$(LN) $(SRC_libmojave)$(slash)lm_hash_code.ml lm_hash_code.ml

lm_hash_code.mli: $(SRC_libmojave)$(slash)lm_hash_code.mli
	$(LN) $(SRC_libmojave)$(slash)lm_hash_code.mli lm_hash_code.mli

lm_heap.ml: $(SRC_libmojave)$(slash)lm_heap.ml
	$(LN) $(SRC_libmojave)$(slash)lm_heap.ml lm_heap.ml

lm_heap.mli: $(SRC_libmojave)$(slash)lm_heap.mli
	$(LN) $(SRC_libmojave)$(slash)lm_heap.mli lm_heap.mli

lm_index.ml: $(SRC_libmojave)$(slash)lm_index.ml
	$(LN) $(SRC_libmojave)$(slash)lm_index.ml lm_index.ml

lm_index.mli: $(SRC_libmojave)$(slash)lm_index.mli
	$(LN) $(SRC_libmojave)$(slash)lm_index.mli lm_index.mli

lm_instrument.ml: $(SRC_libmojave)$(slash)lm_instrument.ml
	$(LN) $(SRC_libmojave)$(slash)lm_instrument.ml lm_instrument.ml

lm_instrument.mli: $(SRC_libmojave)$(slash)lm_instrument.mli
	$(LN) $(SRC_libmojave)$(slash)lm_instrument.mli lm_instrument.mli

lm_int_handle_table.ml: $(SRC_libmojave)$(slash)lm_int_handle_table.ml
	$(LN) $(SRC_libmojave)$(slash)lm_int_handle_table.ml lm_int_handle_table.ml

lm_int_handle_table.mli: $(SRC_libmojave)$(slash)lm_int_handle_table.mli
	$(LN) $(SRC_libmojave)$(slash)lm_int_handle_table.mli lm_int_handle_table.mli

lm_int_set.ml: $(SRC_libmojave)$(slash)lm_int_set.ml
	$(LN) $(SRC_libmojave)$(slash)lm_int_set.ml lm_int_set.ml

lm_int_set.mli: $(SRC_libmojave)$(slash)lm_int_set.mli
	$(LN) $(SRC_libmojave)$(slash)lm_int_set.mli lm_int_set.mli

lm_list_util.ml: $(SRC_libmojave)$(slash)lm_list_util.ml
	$(LN) $(SRC_libmojave)$(slash)lm_list_util.ml lm_list_util.ml

lm_list_util.mli: $(SRC_libmojave)$(slash)lm_list_util.mli
	$(LN) $(SRC_libmojave)$(slash)lm_list_util.mli lm_list_util.mli

lm_location.ml: $(SRC_libmojave)$(slash)lm_location.ml
	$(LN) $(SRC_libmojave)$(slash)lm_location.ml lm_location.ml

lm_location.mli: $(SRC_libmojave)$(slash)lm_location.mli
	$(LN) $(SRC_libmojave)$(slash)lm_location.mli lm_location.mli

lm_map.ml: $(SRC_libmojave)$(slash)lm_map.ml
	$(LN) $(SRC_libmojave)$(slash)lm_map.ml lm_map.ml

lm_map.mli: $(SRC_libmojave)$(slash)lm_map.mli
	$(LN) $(SRC_libmojave)$(slash)lm_map.mli lm_map.mli

lm_map_sig.ml: $(SRC_libmojave)$(slash)lm_map_sig.ml
	$(LN) $(SRC_libmojave)$(slash)lm_map_sig.ml lm_map_sig.ml

lm_marshal.ml: $(SRC_libmojave)$(slash)lm_marshal.ml
	$(LN) $(SRC_libmojave)$(slash)lm_marshal.ml lm_marshal.ml

lm_marshal.mli: $(SRC_libmojave)$(slash)lm_marshal.mli
	$(LN) $(SRC_libmojave)$(slash)lm_marshal.mli lm_marshal.mli

lm_notify.ml: $(SRC_libmojave)$(slash)lm_notify.ml
	$(LN) $(SRC_libmojave)$(slash)lm_notify.ml lm_notify.ml

lm_notify.mli: $(SRC_libmojave)$(slash)lm_notify.mli
	$(LN) $(SRC_libmojave)$(slash)lm_notify.mli lm_notify.mli

lm_position.ml: $(SRC_libmojave)$(slash)lm_position.ml
	$(LN) $(SRC_libmojave)$(slash)lm_position.ml lm_position.ml

lm_position.mli: $(SRC_libmojave)$(slash)lm_position.mli
	$(LN) $(SRC_libmojave)$(slash)lm_position.mli lm_position.mli

lm_printf.ml: $(SRC_libmojave)$(slash)lm_printf.ml
	$(LN) $(SRC_libmojave)$(slash)lm_printf.ml lm_printf.ml

lm_printf.mli: $(SRC_libmojave)$(slash)lm_printf.mli
	$(LN) $(SRC_libmojave)$(slash)lm_printf.mli lm_printf.mli

lm_readline.ml: $(SRC_libmojave)$(slash)lm_readline.ml
	$(LN) $(SRC_libmojave)$(slash)lm_readline.ml lm_readline.ml

lm_readline.mli: $(SRC_libmojave)$(slash)lm_readline.mli
	$(LN) $(SRC_libmojave)$(slash)lm_readline.mli lm_readline.mli

lm_set.ml: $(SRC_libmojave)$(slash)lm_set.ml
	$(LN) $(SRC_libmojave)$(slash)lm_set.ml lm_set.ml

lm_set.mli: $(SRC_libmojave)$(slash)lm_set.mli
	$(LN) $(SRC_libmojave)$(slash)lm_set.mli lm_set.mli

lm_set_sig.ml: $(SRC_libmojave)$(slash)lm_set_sig.ml
	$(LN) $(SRC_libmojave)$(slash)lm_set_sig.ml lm_set_sig.ml

lm_string_set.ml: $(SRC_libmojave)$(slash)lm_string_set.ml
	$(LN) $(SRC_libmojave)$(slash)lm_string_set.ml lm_string_set.ml

lm_string_set.mli: $(SRC_libmojave)$(slash)lm_string_set.mli
	$(LN) $(SRC_libmojave)$(slash)lm_string_set.mli lm_string_set.mli

lm_string_util.ml: $(SRC_libmojave)$(slash)lm_string_util.ml
	$(LN) $(SRC_libmojave)$(slash)lm_string_util.ml lm_string_util.ml

lm_string_util.mli: $(SRC_libmojave)$(slash)lm_string_util.mli
	$(LN) $(SRC_libmojave)$(slash)lm_string_util.mli lm_string_util.mli

lm_symbol.ml: $(SRC_libmojave)$(slash)lm_symbol.ml
	$(LN) $(SRC_libmojave)$(slash)lm_symbol.ml lm_symbol.ml

lm_symbol.mli: $(SRC_libmojave)$(slash)lm_symbol.mli
	$(LN) $(SRC_libmojave)$(slash)lm_symbol.mli lm_symbol.mli
