=== debian/changelog ===
omake (0.10.3-2) unstable; urgency=medium

  * Team upload.
  * Remove not needed build dependency on libfam-dev (Closes: #981516)
  * Mark omake-doc as "Multi-Arch: foreign"

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 01 Feb 2021 21:59:49 +0100

omake (0.10.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Homepage and debian/rules
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Wed, 26 Aug 2020 14:42:12 +0200

omake (0.9.8.5-3-10) unstable; urgency=medium

  * Team upload
  * Update Vcs-*
  * Fix compilation with OCaml 4.08.0

 -- Stéphane Glondu <glondu@debian.org>  Wed, 04 Sep 2019 10:44:10 +0200

omake (0.9.8.5-3-9) unstable; urgency=medium

  * Team upload
  * Disable fatal warnings (Closes: #737592)
  * Use LDFLAGS instead of CFLAGS for ld-as-needed (Closes: #681663)
  * Use dh_ocaml for automatic dependencies (Closes: #599322)
  * Recompile with new libfam0 (Closes: #715043)
  * Bump debhelper compat to 9
  * Update Vcs-*
  * Remove myself from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Tue, 04 Feb 2014 08:45:22 +0100
