=== debian/control ===
Source: omake
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Mike Furr <mfurr@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml-nox,
 libreadline-dev,
 libncurses5-dev,
 dh-ocaml
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://projects.camlcity.org/projects/omake.html
Vcs-Git: https://salsa.debian.org/ocaml-team/omake.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/omake

Package: omake
Architecture: any
Depends: ${OCaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: omake-doc
Description: build system with automated dependency analysis
 OMake is a build system designed to scale from small projects to very
 large projects spanning many directories. OMake uses a syntax similar
 to GNU make, with many additional features.  It contains
 specifications for easily building C, OCaml, and LaTeX programs, but
 can be used to build projects with other languages as well.
 .
 OMake includes an accurate, automated dependency analysis based on
 MD5 digests.  It also includes a stand-alone command-line
 interpreter, osh, that can be used as an interactive shell for
 debugging the build files.  OMake's syntax is a full object oriented
 language.  Features of the OMake language include integer and
 floating point arithmetic, scoped expressions, higher order
 functions, multiple inheritance, pattern matching, runtime
 exceptions, lexers, and LALR(1) parsers.  Users can easily produce
 architecture independent builds as omake provides a uniform interface
 to its standard library on Linux/Unix, Win32, and OS X.

Package: omake-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: omake (<< 0.9.8.5-3-5)
Description: documentation for OMake
 OMake is a build system designed to scale from small projects to very
 large projects spanning many directories. OMake uses a syntax similar
 to GNU make, with many additional features.  It contains
 specifications for easily building C, OCaml, and LaTeX programs, but
 can be used to build projects with other languages as well.
 .
 This package contains documentation for OMake in html and pdf
 formats.
