=== debian/watch ===
version=3
http://projects.camlcity.org/projects/omake.html .*omake-([0-9.]+)\.tar\.gz
