## omake 0.10.5

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 OCAML = ocaml
-OCAMLFLAGS = -safe-string
+OCAMLFLAGS = -safe-string -strict-sequence
 
 .PHONY: all bootstrap force-bootstrap install default clean doc package
 
@@ -17,7 +17,7 @@
 all:
 	$(OCAML) $(OCAMLFLAGS) build.ml -build OCAML="$(OCAML)"
 
-install: all
+install:
 	$(OCAML) $(OCAMLFLAGS) build.ml -install OCAML="$(OCAML)"
 
 clean:
