=== debian/changelog ===
omake (0.10.5-2) unstable; urgency=medium

  * Team upload
  * Fix FTBFS when ocamlopt is missing

 -- Stéphane Glondu <glondu@debian.org>  Wed, 01 Feb 2023 12:26:13 +0100

omake (0.10.5-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
    - add a manpage (Closes: #687135)

  [ Debian Janitor ]
  * Update watch file format version to 4
  * Update standards version to 4.6.1
  * Remove MIA uploaders (Closes: #873235)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 01 Feb 2023 09:02:35 +0100

omake (0.10.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with libedit instead of libreadline (Closes: #979096)

 -- Bastian Germann <bage@debian.org>  Sat, 09 Oct 2021 20:02:08 +0200
