=== debian/control ===
--- 
+++ 
@@ -2,15 +2,13 @@
 Section: ocaml
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders:
- Mike Furr <mfurr@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  ocaml-nox,
- libreadline-dev,
- libncurses5-dev,
+ libeditreadline-dev,
+ libncurses-dev,
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: http://projects.camlcity.org/projects/omake.html
 Vcs-Git: https://salsa.debian.org/ocaml-team/omake.git
