=== debian/watch ===
version=4
http://projects.camlcity.org/projects/omake.html .*omake-([0-9.]+)\.tar\.gz
