## omake 0.10.6

=== debian/changelog ===
omake (0.10.6-2) unstable; urgency=medium

  * Team upload
  * Depend on ocaml instead of transitional ocaml-nox

 -- Stéphane Glondu <glondu@debian.org>  Wed, 13 Sep 2023 06:19:07 +0200

omake (0.10.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 16 Jul 2023 11:47:38 +0200
