=== debian/changelog ===
omake (0.10.7-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update debian/watch
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Sun, 29 Dec 2024 21:04:34 +0100
