=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  libeditreadline-dev,
  libncurses-dev,
  dh-ocaml
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: http://projects.camlcity.org/projects/omake.html
 Vcs-Git: https://salsa.debian.org/ocaml-team/omake.git
