=== debian/watch ===
version=4
https://github.com/ocaml-omake/omake/tags .*/omake-([0-9.]+)\.tar\.gz
